ch.qos.logback.classic.selector

## Interface ContextSelector

All Known Implementing Classes:
  ContextJNDISelector, DefaultContextSelector

    public interface ContextSelector

An interface that provides access to different contexts. It is used by the LoggerFactory to access the context it will use to retrieve loggers.

Author:
  Ceki Gülcü, Sébastien Pennec

### Method Summary

Methods
`LoggerContext` `detachLoggerContext(java.lang.String loggerContextName)`
`java.util.List<java.lang.String>` `getContextNames()`
`LoggerContext` `getDefaultLoggerContext()`
`LoggerContext` `getLoggerContext()`
`LoggerContext` `getLoggerContext(java.lang.String name)`

### Method Detail

#### getLoggerContext

    LoggerContext getLoggerContext()

#### getLoggerContext

    LoggerContext getLoggerContext(java.lang.String name)

#### getDefaultLoggerContext

    LoggerContext getDefaultLoggerContext()

#### detachLoggerContext

    LoggerContext detachLoggerContext(java.lang.String loggerContextName)

#### getContextNames

    java.util.List<java.lang.String> getContextNames()